import request from '@/utils/request'

// 查询选科专业列表
export function listSySelectCourseMajor(query) {
  return request({
    url: '/sy/sySelectCourseMajor/list',
    method: 'get',
    params: query
  })
}

// 查询选科专业详细
export function getSySelectCourseMajor(id) {
  return request({
    url: '/sy/sySelectCourseMajor/' + id,
    method: 'get'
  })
}

// 新增选科专业
export function addSySelectCourseMajor(data) {
  return request({
    url: '/sy/sySelectCourseMajor',
    method: 'post',
    data: data
  })
}

// 修改选科专业
export function updateSySelectCourseMajor(data) {
  return request({
    url: '/sy/sySelectCourseMajor',
    method: 'put',
    data: data
  })
}

// 删除选科专业
export function delSySelectCourseMajor(id) {
  return request({
    url: '/sy/sySelectCourseMajor/' + id,
    method: 'delete'
  })
}

// 导出选科专业
export function exportSySelectCourseMajor(query) {
  return request({
    url: '/sy/sySelectCourseMajor/export',
    method: 'get',
    params: query
  })
}